version: '3'
services:
  elasticsearch:
   image: docker.elastic.co/elasticsearch/elasticsearch:7.4.2
   environment:
   - cluster.name=docker-cluster
   - bootstrap.memory_lock=true
   - "ES_JAVA_OPTS=-Xms512m -Xmx512m"
   - discovery.type=single-node
   ulimits:
     memlock:
       soft: -1
       hard: -1
   ports:
   - "9200:9200"
   networks:
   - irnet
   volumes:
   - iresvol:/usr/share/elasticsearch/

  kibana:
    image: docker.elastic.co/kibana/kibana:7.4.2
    ports:
    - "5601:5601"
    depends_on: 
    - elasticsearch
    networks:
    - irnet
    restart: always
    volumes:
    - irkivol:/usr/share/kibana

volumes:
 iresvol:
  driver: local
 irkivol:
  driver: local
networks:
  irnet:
    driver: bridge
